<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Title</title>
    <!-- Required meta tags -->
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1, shrink-to-fit=no"
    />

    <!-- Bootstrap CSS -->
    <link
      rel="stylesheet"
      href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
      integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
      crossorigin="anonymous"
    />
  </head>
  <body>
    <div class="container">
      <div class="form-group mt-5">
        <input type="text" id="txt-number" placeholder="Nhập số n" />
      </div>
      <button onclick="themSo()" class="btn btn-success">Thêm số</button>
      <div class="mt-3" id="khaiBaoMang"></div>
      <h3 class="mt-5">Bài 1: Tính tổng số dương</h3>
      <button onclick="tinhTongSoDuong()" class="btn btn-success">
        Tính tổng
      </button>
      <div class="mt-3 resultEx1"></div>
      <h3 class="mt-5">Bài 2: Đếm số dương</h3>
      <button onclick="demSoDuong()" class="btn btn-success">Đếm</button>
      <div class="mt-3 resultEx2"></div>
      <h3 class="mt-5">Bài 3: Tìm số nhỏ nhất trong mảng</h3>
      <button onclick="timSoNhoNhat()" class="btn btn-success">Tìm</button>
      <div class="mt-3 resultEx3"></div>
      <h3 class="mt-5">Bài 4: Tìm số dương nhỏ nhất trong mảng</h3>
      <button onclick="timSoDuongNhoNhat()" class="btn btn-success">Tìm</button>
      <div class="mt-3 resultEx4"></div>
      <h3 class="mt-5">Bài 5: Tìm số chẵn cuối cùng trong mảng</h3>
      <button onclick="timSoChanCuoiCung()" class="btn btn-success">Tìm</button>
      <div class="mt-3 resultEx5"></div>
      <h3 class="mt-5">Bài 6: Đổi chỗ 2 giá trị</h3>
      <div style="display: flex">
        <div class="form-group mt-3">
          <input
            type="number"
            id="txt-number-Ex5-1"
            placeholder="Nhập vị trí 1"
          />
        </div>
        <div class="form-group mt-3 ml-5">
          <input
            type="number"
            id="txt-number-Ex5-2"
            placeholder="Nhập vị trí 2"
          />
        </div>
      </div>
      <button onclick="doiCho()" class="btn btn-success">Đổi</button>
      <div class="mt-3 resultEx6"></div>
      <h3 class="mt-5">Bài 7: Sắp xếp mảng theo thứ tự tăng dần</h3>
      <button onclick="sapXep()" class="btn btn-success">Sắp xếp</button>
      <div class="mt-3 resultEx7"></div>
      <h3 class="mt-5">Bài 8: Tìm số nguyên tố đầu tiên</h3>
      <button onclick="timSoNguyenTo()" class="btn btn-success">Tìm</button>
      <div class="mt-3 resultEx8"></div>
      <h3 class="mt-5">Bài 9: Đếm số nguyên</h3>
      <div class="form-group mt-5">
        <input type="text" id="txt-number-2" placeholder="Nhập số n" />
      </div>
      <div style="display: flex">
        <button onclick="themSo2()" class="btn btn-success">
          Thêm số vào mảng
        </button>
        <button onclick="demSoNguyen()" class="ml-3 btn btn-success">
          Đếm số nguyên
        </button>
      </div>
      <div class="mt-3" id="khaiBaoMang2"></div>
      <div class="mt-3 resultEx9"></div>
      <h3 class="mt-5">Bài 10: So sánh số lượng số Âm và số Dương</h3>
      <button onclick="soSanh()" class="btn btn-success">So Sánh</button>
      <div class="mt-3 resultEx10"></div>
    </div>
    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="./index.js"></script>
    <script
      src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
      integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
      integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
      integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
      crossorigin="anonymous"
    ></script>
  </body>
</html>
